XcmsQueryBlack(3X11) | XLIB FUNCTIONS | XcmsQueryBlack(3X11)

# NAME

XcmsQueryBlack, XcmsQueryBlue, XcmsQueryGreen, XcmsQueryRed, XcmsQueryWhite - obtain black, blue, green, red, and white CCC color specifications

# SYNTAX

Status XcmsQueryBlack(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryBlue(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryGreen(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryRed(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryWhite(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

# ARGUMENTS

ccc
  Specifies the CCC. Note that the CCC's Client White Point and White Point Adjustment procedures are ignored.

color_return
  Returns the color specification in the specified target format for . The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined.

target_format
  Specifies the target color specification format.

# DESCRIPTION

The XcmsQueryBlack function returns the color specification in the specified target format for zero-intensity red, green, and blue.

The XcmsQueryBlue function returns the color specification in the specified target format for full-intensity blue while red and green are zero.

The XcmsQueryGreen function returns the color specification in the specified target format for full-intensity green while red and blue are zero.

The XcmsQueryRed function returns the color specification in the specified target format for full-intensity red while green and blue are zero.

The XcmsQueryWhite function returns the color specification in the specified target format for full-intensity red, green, and blue.

# SEE ALSO

XcmsCIELabQueryMaxC(3X11), XcmsCIELuvQueryMaxC(3X11), XcmsTekHVCQueryMaxC(3X11)
Xlib - C Language X Interface

XFree86 | 4.5.0